import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'getAuthorsPipe',
})
export class GetAuthorsPipe implements PipeTransform {
  transform(author: string): string[] {
    if (author) {
      const authors = author.split(';');
      return authors.map((a) => a.trim());
    }
    return [];
  }
}
